# Uses of Class
org.apache.lucene.spatial.prefix.tree.NumberRangePrefixTree

Packages that use NumberRangePrefixTree
Package
Description
org.apache.lucene.spatial.prefix
Prefix Tree Strategy.
org.apache.lucene.spatial.prefix.tree
This package is about SpatialPrefixTree and any supporting classes.

- ## Uses of NumberRangePrefixTree in org.apache.lucene.spatial.prefix

  Methods in org.apache.lucene.spatial.prefix that return NumberRangePrefixTree
  Modifier and Type
  Method
  Description
  `NumberRangePrefixTree`
  NumberRangePrefixTreeStrategy.`getGrid()`
  Constructors in org.apache.lucene.spatial.prefix with parameters of type NumberRangePrefixTree
  Modifier
  Constructor
  Description
  ``
  `NumberRangePrefixTreeStrategy(NumberRangePrefixTree prefixTree, String fieldName)`

- ## Uses of NumberRangePrefixTree in org.apache.lucene.spatial.prefix.tree

  Subclasses of NumberRangePrefixTree in org.apache.lucene.spatial.prefix.tree
  Modifier and Type
  Class
  Description
  `class`
  `DateRangePrefixTree`
  A PrefixTree for date ranges in which the levels of the tree occur at natural periods of time (e.g.